Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.button
Class MenuItemMouseListener

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.button.MenuItemMouseListener

All Implemented Interfaces:
  EventListener, com.google.gwt.user.client.ui.MouseListener

public class MenuItemMouseListener
extends Object
implements com.google.gwt.user.client.ui.MouseListener

Author:
  Alexander Yuhimenko

Constructor Summary
`MenuItemMouseListener()`

Method Summary
`void` | `onMouseDown(com.google.gwt.user.client.ui.Widget arg0, int arg1, int arg2)`
`void` | `onMouseEnter(com.google.gwt.user.client.ui.Widget arg0)`
`void` | `onMouseLeave(com.google.gwt.user.client.ui.Widget arg0)`
`void` | `onMouseMove(com.google.gwt.user.client.ui.Widget arg0, int arg1, int arg2)`
`void` | `onMouseUp(com.google.gwt.user.client.ui.Widget arg0, int arg1, int arg2)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuItemMouseListener

    public MenuItemMouseListener()

Method Detail

### onMouseDown

    public void onMouseDown(com.google.gwt.user.client.ui.Widget arg0,
                            int arg1,
                            int arg2)

  Specified by:
    `onMouseDown` in interface `com.google.gwt.user.client.ui.MouseListener`

### onMouseEnter

    public void onMouseEnter(com.google.gwt.user.client.ui.Widget arg0)

  Specified by:
    `onMouseEnter` in interface `com.google.gwt.user.client.ui.MouseListener`

### onMouseLeave

    public void onMouseLeave(com.google.gwt.user.client.ui.Widget arg0)

  Specified by:
    `onMouseLeave` in interface `com.google.gwt.user.client.ui.MouseListener`

### onMouseMove

    public void onMouseMove(com.google.gwt.user.client.ui.Widget arg0,
                            int arg1,
                            int arg2)

  Specified by:
    `onMouseMove` in interface `com.google.gwt.user.client.ui.MouseListener`

### onMouseUp

    public void onMouseUp(com.google.gwt.user.client.ui.Widget arg0,
                          int arg1,
                          int arg2)

  Specified by:
    `onMouseUp` in interface `com.google.gwt.user.client.ui.MouseListener`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD